package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppDeposit;

/**
 * 保证金记录Service接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface IAppDepositService 
{
    /**
     * 查询保证金记录
     * 
     * @param id 保证金记录主键
     * @return 保证金记录
     */
    public AppDeposit selectAppDepositById(Long id);

    /**
     * 查询保证金记录列表
     * 
     * @param appDeposit 保证金记录
     * @return 保证金记录集合
     */
    public List<AppDeposit> selectAppDepositList(AppDeposit appDeposit);

    /**
     * 新增保证金记录
     * 
     * @param appDeposit 保证金记录
     * @return 结果
     */
    public int insertAppDeposit(AppDeposit appDeposit);

    /**
     * 修改保证金记录
     * 
     * @param appDeposit 保证金记录
     * @return 结果
     */
    public int updateAppDeposit(AppDeposit appDeposit);

    /**
     * 批量删除保证金记录
     * 
     * @param ids 需要删除的保证金记录主键集合
     * @return 结果
     */
    public int deleteAppDepositByIds(Long[] ids);

    /**
     * 删除保证金记录信息
     * 
     * @param id 保证金记录主键
     * @return 结果
     */
    public int deleteAppDepositById(Long id);

    /**
     * 查询保证金记录列表
     *
     * @param userId 伴宠师编号
     * @return 保证金记录
     */
    public List<AppDeposit> getAppDepositListByUserId(Long userId);
}
